Package org.spongepowered.asm.mixin.injection.modify

## Class LocalVariableDiscriminator.Context

- java.lang.Object
- - org.spongepowered.asm.mixin.injection.modify.LocalVariableDiscriminator.Context

- All Implemented Interfaces:
    `PrettyPrinter.IPrettyPrintable`
  Enclosing class:
    LocalVariableDiscriminator

      public static class LocalVariableDiscriminator.Context
      extends java.lang.Object
      implements PrettyPrinter.IPrettyPrintable

  Discriminator context information, wraps all relevant information about a target location for use when performing discrimination

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `class` | `LocalVariableDiscriminator.Context.Local` | Information about a local variable in the LVT, used during discrimination

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Context​(InjectionInfo info, org.objectweb.asm.Type returnType, boolean argsOnly, Target target, org.objectweb.asm.tree.AbstractInsnNode node)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `getCandidateCount()` |
    `void` | `print​(PrettyPrinter printer)` | Append this objec to specified pretty printer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Context

          public Context​(InjectionInfo info,
                         org.objectweb.asm.Type returnType,
                         boolean argsOnly,
                         Target target,
                         org.objectweb.asm.tree.AbstractInsnNode node)

  - ### Method Detail

    - #### getCandidateCount

          public int getCandidateCount()

    - #### print

          public void print​(PrettyPrinter printer)

      Description copied from interface: `PrettyPrinter.IPrettyPrintable`
      Append this objec to specified pretty printer
      Specified by:
        `print` in interface `PrettyPrinter.IPrettyPrintable`
      Parameters:
        `printer` - printer to append to